<%@ page import="org.jboss.portlet.contacts.Contact" %>
<%@ page import="java.util.List" %>
<%@ page language="java" extends="org.jboss.portal.core.servlet.jsp.PortalJsp" %>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet" %>

<!--
/**
* User: Chris Mills (millsy@jboss.com)
* Date: 27-Feb-2006
* Time: 22:02:11
*/
-->
<portlet:defineObjects/>

<table width="100%">
   <tr class="portlet-table-body">
      <form action="<portlet:renderURL/>" method="POST">
         <td colspan="2">Find contacts: </td>
         <td colspan="2"><input type="text" name="familyName"/></td>
         <td colspan="2"><input type="submit" name="op" value="Search"/></td>
      </form>
   </tr>
   <%
      List contacts = (List) request.getAttribute("contacts");
      if(contacts.size() > 0)
      {
   %>
   <tr class="portlet-section-header">
      <td>Given Name</td>
      <td>Family Name</td>
      <td>Telephone</td>
      <td>Mobile</td>
      <td>Email</td>
      <td colspan="3">Options</td>
   </tr>
   <%
      for(int i = 0; i < contacts.size(); i++)
      {
         Contact contact = (Contact) contacts.get(i);
   %>
   <tr class="portlet-table-body">
      <td><%= contact.getGivenName() %></td>
      <td><%= contact.getFamilyName() %></td>
      <td><a href="callto:<%= contact.getTelephone() %>"><%= contact.getTelephone() %></a></td>
      <td><a href="callto:<%= contact.getMobile() %>"><%= contact.getMobile() %></a></td>
      <td><a href="mailto:<%= contact.getEmail() %>"><%= contact.getEmail() %></a></td>
      <td><a
            href="<portlet:renderURL><portlet:param name="op" value="edit"/><portlet:param name="key" value="<%= contact.getKey().toString() %>"/></portlet:renderURL>">Edit</a>
      </td>
      <td><a
            href="<portlet:renderURL><portlet:param name="op" value="delete"/><portlet:param name="key" value="<%= contact.getKey().toString() %>"/></portlet:renderURL>">Delete</a>
      </td>
      <td><a target="_new"
             href="<portlet:actionURL><portlet:param name="op" value="vcard"/><portlet:param name="key" value="<%= contact.getKey().toString() %>"/></portlet:actionURL>">VCard</a>
      </td>
   </tr>
   <%
      }
   }
   else
   {
   %>
   <tr>
      <td colspan="6" align="center">No contacts</td>
   </tr>
   <%
      }
   %>
</table>
<center><a href="<portlet:renderURL><portlet:param name="op" value="shownew"/></portlet:renderURL>">Add new contact</a>
</center>

